For the complete documentation index, see llms.txt. Markdown versions of the documentation pages are available from that index.
solscan logo
Register NowRegister Now

token list

get

https://pro-api.solscan.io/v2.0/token/list

Get the list of tokens. This endpoint supports up to 50,000 items per query.

QUERY PARAMS

sort_by

string

Field to sort by

sort_order

string

Sort order

page

number

Page number for pagination

page_size

number

Number of items per page

RESPONSES

200

OK

Response Body (application/json)

success

boolean

Request status

address

string

Address of token

decimals

number

Decimals of token

name

string

Name of token

symbol

string

Symbol of token

market_cap

number

Current market cap of token

price

number

Current price of token

price_24h_change

number

The number shows the percentage change in token price over the last 24 hours

holder

number

The number of holders of the token

created_time

number

Unix timestamp (seconds) of token creation

creator

string

The creator of token

400

Bad Request

Response Body (application/json)

401

Authentication failed

Response Body (application/json)

429

Too Many Requests

Response Body (application/json)

500

Internal Server Error

Response Body (application/json)

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples